Issue 27686 - Excel import: wrong font in conditional format
Summary: Excel import: wrong font in conditional format
Status: ACCEPTED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: 680m32
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-11 16:53 UTC by belzecue
Modified: 2013-08-07 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
XLS file that reproduces the problem in issue 27686 (22.00 KB, application/vnd.ms-excel)
2004-04-11 16:55 UTC, belzecue
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description belzecue 2004-04-11 16:53:14 UTC
I have an XLS file that I open with OpenOffice.

A cell (E2) is formatted as Windings font.  However, in OpenOffice spreadsheet 
the cell shows as Ariel font (or similar). When you make the cell active, the 
toolbar reports Winddings as the font in use.  If you edit the contents then 
the cell switches to display Wingdings font, and when you stop editing and 
leave the cell, the font reverts to Ariel (but continues to report Wingdings 
as active font).

On closing the file (discarding changes OR saving as a new .sxc file), 
OpenOffice (680-m32) crashes.
Comment 1 belzecue 2004-04-11 16:55:03 UTC
Created attachment 14468 [details]
XLS file that reproduces the problem in issue 27686
Comment 2 frank 2004-04-13 10:41:40 UTC
Hi,

the problem is in the import filter, especially the conditional format. In Excel
it's not possible to change fontinformation depending on the condition. Calc can
do this. On import something is wrongly set.

Daniel this one's as dicussed for you.

Frank
Comment 3 daniel.rentz 2004-04-13 11:45:59 UTC
Accepted.

DR->DR: Problem: "Default" cell style contains explicit font info, this causes
the CF cell style to overwrite the cell font. Solution: Use a user-defined
default style for cells, and the real "Default" style for CF styles. Affects
export filter (detection of used default style).

DR->Submitter: Crash after closing is already known and will be fixed in one of
the next milestones.
Comment 4 daniel.rentz 2004-04-20 07:25:14 UTC
set the target
Comment 5 oc 2004-05-28 12:33:05 UTC
OC: Due to high workload this issue is retargeted to office.later
Comment 6 daniel.rentz 2005-02-09 15:18:39 UTC
title